### Class

# Adw EnumListItem

#### Description [src]

    final class Adw.EnumListItem : GObject.Object {
      /* No available fields */
    }

`AdwEnumListItem` is the type of items in a `AdwEnumListModel`.

Available since: | 1.0

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### adw_enum_list_item_get_name

Gets the enum value name.

Available since: 1.0

###### adw_enum_list_item_get_nick

Gets the enum value nick.

Available since: 1.0

###### adw_enum_list_item_get_value

Gets the enum value.

Available since: 1.0

##### Methods inherited from GObject (43)

#### Properties

###### Adw.EnumListItem:name

The enum value name.

Available since: 1.0

###### Adw.EnumListItem:nick

The enum value nick.

Available since: 1.0

###### Adw.EnumListItem:value

The enum value.

Available since: 1.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwEnumListItemClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.